require 'pengine/results/results_helper'

module Plugin

    class AnalysisResultsHelper < ResultsHelper

    	def initialize(plugin)
	    	raise ArgumentError unless plugin.is_a? AnalysisPluginSkeleton
		    template = File.join(File.dirname(__FILE__),'analysis_results.rhtml')
    		super(plugin,template)
	    end
	    
	end

end # module Plugin
